<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcrc__algorithm__t" kind="struct" language="C++" prot="public">
    <compoundname>crc_algorithm_t</compoundname>
    <includes local="no">cyhal_crc.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcrc__algorithm__t_1a43f6798e59b2c14c20cf662a9c8952e6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t crc_algorithm_t::width</definition>
        <argsstring />
        <name>width</name>
        <briefdescription>
<para>Bit width of the CRC. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" bodystart="82" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" line="82" />
      </memberdef>
      <memberdef id="structcrc__algorithm__t_1a75ef8f2fc1413a0d9fc0e6e54446e381" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t crc_algorithm_t::polynomial</definition>
        <argsstring />
        <name>polynomial</name>
        <briefdescription>
<para>The polynomial to use. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" bodystart="83" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" line="83" />
      </memberdef>
      <memberdef id="structcrc__algorithm__t_1a764e5ee5b27363ed28ac4cca415a089e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t crc_algorithm_t::lfsrInitState</definition>
        <argsstring />
        <name>lfsrInitState</name>
        <briefdescription>
<para>Initial state of the LFSR. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" bodystart="84" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" line="84" />
      </memberdef>
      <memberdef id="structcrc__algorithm__t_1aba877155c7581d729886913d945e9373" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t crc_algorithm_t::dataXor</definition>
        <argsstring />
        <name>dataXor</name>
        <briefdescription>
<para>Byte mask to xor with the data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" bodystart="85" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" line="85" />
      </memberdef>
      <memberdef id="structcrc__algorithm__t_1a47e14b82b511b028131dc7bef2cc2a47" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t crc_algorithm_t::remXor</definition>
        <argsstring />
        <name>remXor</name>
        <briefdescription>
<para>Mask to xor with the remainder. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" bodystart="86" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" line="86" />
      </memberdef>
      <memberdef id="structcrc__algorithm__t_1a500da567a545d16ec7f1e7de51b97b6f" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool crc_algorithm_t::dataReverse</definition>
        <argsstring />
        <name>dataReverse</name>
        <briefdescription>
<para>The order in which data should be processed. </para>        </briefdescription>
        <detaileddescription>
<para>If 0, data is processed MSB first. If 1, data is processed LSB first. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" bodystart="92" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" line="92" />
      </memberdef>
      <memberdef id="structcrc__algorithm__t_1a5ad81955519341e5b258a54559a4146f" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool crc_algorithm_t::remReverse</definition>
        <argsstring />
        <name>remReverse</name>
        <briefdescription>
<para>If 1, the remainder is reversed. If 0, it is not. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" bodystart="93" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" line="93" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>CRC algorithm parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="94" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" bodystart="80" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_crc.h" line="81" />
    <listofallmembers>
      <member prot="public" refid="structcrc__algorithm__t_1a500da567a545d16ec7f1e7de51b97b6f" virt="non-virtual"><scope>crc_algorithm_t</scope><name>dataReverse</name></member>
      <member prot="public" refid="structcrc__algorithm__t_1aba877155c7581d729886913d945e9373" virt="non-virtual"><scope>crc_algorithm_t</scope><name>dataXor</name></member>
      <member prot="public" refid="structcrc__algorithm__t_1a764e5ee5b27363ed28ac4cca415a089e" virt="non-virtual"><scope>crc_algorithm_t</scope><name>lfsrInitState</name></member>
      <member prot="public" refid="structcrc__algorithm__t_1a75ef8f2fc1413a0d9fc0e6e54446e381" virt="non-virtual"><scope>crc_algorithm_t</scope><name>polynomial</name></member>
      <member prot="public" refid="structcrc__algorithm__t_1a5ad81955519341e5b258a54559a4146f" virt="non-virtual"><scope>crc_algorithm_t</scope><name>remReverse</name></member>
      <member prot="public" refid="structcrc__algorithm__t_1a47e14b82b511b028131dc7bef2cc2a47" virt="non-virtual"><scope>crc_algorithm_t</scope><name>remXor</name></member>
      <member prot="public" refid="structcrc__algorithm__t_1a43f6798e59b2c14c20cf662a9c8952e6" virt="non-virtual"><scope>crc_algorithm_t</scope><name>width</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>